
---
title: "0.7.0 - latency measuring, fleet autoscaling webhooks, and metrics!"
linkTitle: "0.7.0"
date: 2019-01-08
description:
---

Massive release with 0.7.0!

Lots of great new features, from latency measuring tools, fleet autoscaling webhooks and OpenCensus metrics! Take them a spin, and let us know how they go.

As always, thanks to everyone involved - several new faces in this release providing new features, and feedback - awesome to see the community grow! 👌🌱

Details:
https://github.com/GoogleCloudPlatform/agones/releases/tag/v0.7.0

Check the [README](https://github.com/GoogleCloudPlatform/agones/tree/release-0.7.0) for details on features, installation and usage.

**Breaking changes:**

- Update to Kubernetes 1.11 [\#447](https://github.com/GoogleCloudPlatform/agones/pull/447) ([markmandel](https://github.com/markmandel))
- Remove crd-install hook, as it break CRD updates [\#441](https://github.com/GoogleCloudPlatform/agones/pull/441) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Delete crds, and fleets, gameservers etc on deletion of Helm chart [\#426](https://github.com/GoogleCloudPlatform/agones/issues/426)
- `GameServers` should have the Fleet name in a label for easy retrieval [\#411](https://github.com/GoogleCloudPlatform/agones/issues/411)
- Horizontal Fleet Autoscaling [\#334](https://github.com/GoogleCloudPlatform/agones/issues/334)
- Add webhook functionality into FleetAutoscaler [\#460](https://github.com/GoogleCloudPlatform/agones/pull/460) ([aLekSer](https://github.com/aLekSer))
- Adds Kind local cluster support with documentation [\#458](https://github.com/GoogleCloudPlatform/agones/pull/458) ([Kuqd](https://github.com/cyriltovena))
- Adds OpenCensus metrics integration. [\#457](https://github.com/GoogleCloudPlatform/agones/pull/457) ([Kuqd](https://github.com/cyriltovena))
- added incremental build option to Makefile to speed up rebuilds [\#454](https://github.com/GoogleCloudPlatform/agones/pull/454) ([jkowalski](https://github.com/jkowalski))
- CRD: added additionalPrinterColumns to GameServer for kubectl [\#444](https://github.com/GoogleCloudPlatform/agones/pull/444) ([jkowalski](https://github.com/jkowalski))
- Adding explicit length of git revision in Makefile and E2E Can't Allocate test  [\#440](https://github.com/GoogleCloudPlatform/agones/pull/440) ([aLekSer](https://github.com/aLekSer))
- Pinger service for Multiple Cluster Latency Measurement. [\#434](https://github.com/GoogleCloudPlatform/agones/pull/434) ([markmandel](https://github.com/markmandel))

See [CHANGELOG](https://github.com/GoogleCloudPlatform/agones/blob/release-0.7.0/CHANGELOG.md) for more details on changes.

This software is currently alpha, and subject to change. Not to be used in production systems.

Images available with this release:

- [gcr.io/agones-images/agones-controller:0.7.0](https://gcr.io/agones-images/agones-controller:0.7.0)
- [gcr.io/agones-images/agones-sdk:0.7.0](https://gcr.io/agones-images/agones-sdk:0.7.0)
- [gcr.io/agones-images/cpp-simple-server:0.4](https://gcr.io/agones-images/cpp-simple-server:0.4)
- [gcr.io/agones-images/udp-server:0.5](https://gcr.io/agones-images/udp-server:0.5)
- [gcr.io/agones-images/xonotic-example:0.4](https://gcr.io/agones-images/xonotic-example:0.4)

Helm chart available with this release:

- [`helm install agones/agones --version 0.7.0`](https://agones.dev/chart/stable/agones-0.7.0.tgz)

> Make sure to add our stable helm repository using `helm repo add https://agones.dev/chart/stable`