---
title: "0.8.0 - GameServerAllocations, Performance Improvements, Monitoring Improvements and more!"
linkTitle: "0.8.0"
date: 2019-02-20
description:
---

So many amazing features in this release!

- More sophisticated allocation with `GameServerAllocation`
- More metrics and dashboards
- Build in support for node selection on Agones deployments
- Stackdriver support

And more (see below) -- download it now, and take it for a spin!

As always, huge thanks to the team of people working on Agones!

Details:
This is the 0.8.0 release of Agones.

Check the <a href="https://github.com/GoogleCloudPlatform/agones/tree/release-0.8.0">README</a> for details on features, installation and usage.

**Security fixes:**

- \[SECURITY\] Update Go to 1.11.5 [\#528](https://github.com/GoogleCloudPlatform/agones/pull/528) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Allocation on GameServers rather than Fleets [\#436](https://github.com/GoogleCloudPlatform/agones/issues/436)
- Website that contains documentation [\#410](https://github.com/GoogleCloudPlatform/agones/issues/410)
- Node Affinity, Tolerations and Node selector support for helm chart [\#407](https://github.com/GoogleCloudPlatform/agones/issues/407)
- As game server, I want to get the Agones sidecar version [\#310](https://github.com/GoogleCloudPlatform/agones/issues/310)
- fix setAnnotation for simple-udp to use customized key & value [\#576](https://github.com/GoogleCloudPlatform/agones/pull/576) ([Yingxin-Jiang](https://github.com/Yingxin-Jiang))
- Adding GitHub link and version dropdown to the navigation bar [\#566](https://github.com/GoogleCloudPlatform/agones/pull/566) ([markmandel](https://github.com/markmandel))
- simple-udp: added support for customizing labels and annotations by the caller [\#564](https://github.com/GoogleCloudPlatform/agones/pull/564) ([jkowalski](https://github.com/jkowalski))
- Monitoring improvements [\#559](https://github.com/GoogleCloudPlatform/agones/pull/559) ([jkowalski](https://github.com/jkowalski))
- Add support to create a development gameserver. [\#558](https://github.com/GoogleCloudPlatform/agones/pull/558) ([jeremyje](https://github.com/jeremyje))
- Adds gameservers per node count and distribution [\#551](https://github.com/GoogleCloudPlatform/agones/pull/551) ([Kuqd](https://github.com/cyriltovena))
- Add Scale Subresource into Fleet and Gameserverset CRDs [\#539](https://github.com/GoogleCloudPlatform/agones/pull/539) ([aLekSer](https://github.com/aLekSer))
- Continuous Deployment of Agones.dev [\#527](https://github.com/GoogleCloudPlatform/agones/pull/527) ([markmandel](https://github.com/markmandel))
- Makefile: allowed 'go test' to run without docker and optionally w/o race detector [\#509](https://github.com/GoogleCloudPlatform/agones/pull/509) ([jkowalski](https://github.com/jkowalski))
- add client-go metrics and grafana dashboards [\#505](https://github.com/GoogleCloudPlatform/agones/pull/505) ([Kuqd](https://github.com/cyriltovena))
- Prometheus and grafana improvements based on load testing experience [\#501](https://github.com/GoogleCloudPlatform/agones/pull/501) ([jkowalski](https://github.com/jkowalski))
- improved isolation of Agones controllers using taints and priority [\#500](https://github.com/GoogleCloudPlatform/agones/pull/500) ([jkowalski](https://github.com/jkowalski))
- Add Agones version into Gameserver Annotation [\#498](https://github.com/GoogleCloudPlatform/agones/pull/498) ([aLekSer](https://github.com/aLekSer))
- controller: made QPS, burst QPS and number of workers externally configurable [\#497](https://github.com/GoogleCloudPlatform/agones/pull/497) ([jkowalski](https://github.com/jkowalski))
- Website for Agones [\#493](https://github.com/GoogleCloudPlatform/agones/pull/493) ([markmandel](https://github.com/markmandel))
- Add Stackdriver Exporter for Opencensus [\#492](https://github.com/GoogleCloudPlatform/agones/pull/492) ([aLekSer](https://github.com/aLekSer))
- Add TLS to Fleetautoscaler webhook service [\#476](https://github.com/GoogleCloudPlatform/agones/pull/476) ([aLekSer](https://github.com/aLekSer))
- Add pod tolerations, nodeSelector and affinity in helm [\#473](https://github.com/GoogleCloudPlatform/agones/pull/473) ([Kuqd](https://github.com/cyriltovena))
- adding Prometheus+Grafana for metrics and visualizations [\#472](https://github.com/GoogleCloudPlatform/agones/pull/472) ([Kuqd](https://github.com/cyriltovena))
- GameServerAllocation implementation [\#465](https://github.com/GoogleCloudPlatform/agones/pull/465) ([markmandel](https://github.com/markmandel))

See <a href="https://github.com/GoogleCloudPlatform/agones/blob/release-0.8.0/CHANGELOG.md">CHANGELOG</a> for more details on changes.

This software is currently alpha, and subject to change. Not to be used in production systems.

Images available with this release:

- [gcr.io/agones-images/agones-controller:0.8.0](https://gcr.io/agones-images/agones-controller:0.8.0)
- [gcr.io/agones-images/agones-sdk:0.8.0](https://gcr.io/agones-images/agones-sdk:0.8.0)
- [gcr.io/agones-images/agones-ping:0.8.0](https://gcr.io/agones-images/agones-ping:0.8.0)
- [gcr.io/agones-images/cpp-simple-server:0.4](https://gcr.io/agones-images/cpp-simple-server:0.4)
- [gcr.io/agones-images/udp-server:0.7](https://gcr.io/agones-images/udp-server:0.7)
- [gcr.io/agones-images/xonotic-example:0.4](https://gcr.io/agones-images/xonotic-example:0.4)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-0.8.0.tgz"><code>helm install agones/agones --version 0.8.0</code></a>

> Make sure to add our stable helm repository using `helm repo add https://agones.dev/chart/stable`
