---
title: "1.1.0 - Bug Fixes, Documentation and more"
linkTitle: "1.1.0"
date: "2019-10-28"
---

This is the 1.1.0 release of Agones.

Starting with the 1.1.0 release of Agones, the ports to which the sdkserver sidecar binds are now configurable. To take advantage of this feature, your game will need to use an updated SDK from the 1.1.0 release.

The default ports that the sdkserver binds to are ephemeral and can cause the [sidecar to intermittently fail to start](https://github.com/googleforgames/agones/issues/851). For backwards compatibility with game servers compiled against the 1.0.0 SDKs, the default ports remain unchanged in this release but they will be changed in the next release of Agones to fix this bug. We strongly recommend that as part of upgrading to the 1.1.0 release of Agones you also update your game server containers to include the 1.1.0 SDK along with your game.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.1.0" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Change the API for allocator to allocation.proto [\#1123](https://github.com/googleforgames/agones/pull/1123) ([pooneh-m](https://github.com/pooneh-m))

**Implemented enhancements:**

- Document agones-allocator and multi-cluster allocation [\#1155](https://github.com/googleforgames/agones/pull/1155) ([pooneh-m](https://github.com/pooneh-m))
- Add SDK.GameServer\(\) to Matchmaking Registration Diagram [\#1149](https://github.com/googleforgames/agones/pull/1149) ([markmandel](https://github.com/markmandel))
- Update the instructions for installing a GKE cluster with terraform to disable automatic node upgrades [\#1141](https://github.com/googleforgames/agones/pull/1141) ([roberthbailey](https://github.com/roberthbailey))
- Allocator service should log the Agones version [\#1042](https://github.com/googleforgames/agones/issues/1042)
- Allocation policy needs to expose namespace of the targeted cluster [\#980](https://github.com/googleforgames/agones/issues/980)
- Configurable log level for agones sidecar [\#971](https://github.com/googleforgames/agones/issues/971)
- Add dynamic configuration of the sidecar http port to the unreal sdk. [\#1131](https://github.com/googleforgames/agones/pull/1131) ([roberthbailey](https://github.com/roberthbailey))
- Retry on failures for multi-cluster allocation [\#1130](https://github.com/googleforgames/agones/pull/1130) ([pooneh-m](https://github.com/pooneh-m))
- Simplify the selection of the dynamic port in the nodejs sdk. [\#1128](https://github.com/googleforgames/agones/pull/1128) ([roberthbailey](https://github.com/roberthbailey))
- Simplify the selection of the dynamic port in the Go sdk. [\#1127](https://github.com/googleforgames/agones/pull/1127) ([roberthbailey](https://github.com/roberthbailey))
- Added dynamic configuration of http port in the rust sdk [\#1125](https://github.com/googleforgames/agones/pull/1125) ([roberthbailey](https://github.com/roberthbailey))
- Added dynamic configuration of http port in the unity sdk [\#1121](https://github.com/googleforgames/agones/pull/1121) ([roberthbailey](https://github.com/roberthbailey))
- Implement converters between the GameServerAllocation API and allocation.proto [\#1117](https://github.com/googleforgames/agones/pull/1117) ([pooneh-m](https://github.com/pooneh-m))
- Add AltaVR logo to companies using Agones [\#1103](https://github.com/googleforgames/agones/pull/1103) ([TimoSchmechel](https://github.com/TimoSchmechel))
- Use an environment variable to dynamically set the grpc port in the nodejs sdk [\#1093](https://github.com/googleforgames/agones/pull/1093) ([roberthbailey](https://github.com/roberthbailey))
- Set the port to connect to the sdkserver based on the AGONES\_SDK\_GRPC\_PORT environment variable [\#1092](https://github.com/googleforgames/agones/pull/1092) ([roberthbailey](https://github.com/roberthbailey))
- Use environment variables to dynamically set the grpc port in the golang sdk. [\#1086](https://github.com/googleforgames/agones/pull/1086) ([roberthbailey](https://github.com/roberthbailey))
- Add mcmahan.games to the companies using agones list. [\#1085](https://github.com/googleforgames/agones/pull/1085) ([benmcmahan](https://github.com/benmcmahan))
- Add missing "/reserve" endpoint description [\#1083](https://github.com/googleforgames/agones/pull/1083) ([aLekSer](https://github.com/aLekSer))
- Add SDK server HTTP API test [\#1079](https://github.com/googleforgames/agones/pull/1079) ([aLekSer](https://github.com/aLekSer))
- Sdkserver port configuration [\#1078](https://github.com/googleforgames/agones/pull/1078) ([roberthbailey](https://github.com/roberthbailey))
- Fixes, more e2e tests and logging for multi-cluster allocation [\#1077](https://github.com/googleforgames/agones/pull/1077) ([pooneh-m](https://github.com/pooneh-m))
- Longer blog post for Agones 1.0.0 announcement [\#1076](https://github.com/googleforgames/agones/pull/1076) ([markmandel](https://github.com/markmandel))
- Add a delay flag to the sdkserver [\#1070](https://github.com/googleforgames/agones/pull/1070) ([roberthbailey](https://github.com/roberthbailey))
- Add Yager Logo to companies using Agones [\#1057](https://github.com/googleforgames/agones/pull/1057) ([topochan](https://github.com/topochan))
- Adding namespace for multi-cluster allocation policy [\#1052](https://github.com/googleforgames/agones/pull/1052) ([pooneh-m](https://github.com/pooneh-m))
- Logging Agones version and port on the startup. [\#1048](https://github.com/googleforgames/agones/pull/1048) ([pooneh-m](https://github.com/pooneh-m))
- Adding make file to generate allocation go from proto [\#1041](https://github.com/googleforgames/agones/pull/1041) ([pooneh-m](https://github.com/pooneh-m))
- Add Sidecar log level parameter to GS specification [\#1007](https://github.com/googleforgames/agones/pull/1007) ([aLekSer](https://github.com/aLekSer))

**Security fixes:**

- Ran `npm audit fix` to update package dependencies. [\#1097](https://github.com/googleforgames/agones/pull/1097) ([roberthbailey](https://github.com/roberthbailey))
- Bump eslint-utils from 1.4.0 to 1.4.2 in /sdks/nodejs [\#1014](https://github.com/googleforgames/agones/pull/1014) ([dependabot[bot]](https://github.com/apps/dependabot))

See <a href="https://github.com/googleforgames/agones/blob/release-1.1.0/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.1.0](https://gcr.io/agones-images/agones-controller:1.1.0)
- [gcr.io/agones-images/agones-sdk:1.1.0](https://gcr.io/agones-images/agones-sdk:1.1.0)
- [gcr.io/agones-images/agones-ping:1.1.0](https://gcr.io/agones-images/agones-ping:1.1.0)
- [gcr.io/agones-images/cpp-simple-server:0.11](https://gcr.io/agones-images/cpp-simple-server:0.11)
- [gcr.io/agones-images/nodejs-simple-server:0.2](https://gcr.io/agones-images/nodejs-simple-server:0.2)
- [gcr.io/agones-images/rust-simple-server:0.6](https://gcr.io/agones-images/rust-simple-server:0.6)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.17](https://gcr.io/agones-images/udp-server:0.17)
- [gcr.io/agones-images/tcp-server:0.3](https://gcr.io/agones-images/tcp-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.7](https://gcr.io/agones-images/xonotic-example:0.7)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.1.0.tgz" ><code>helm install agones/agones --version 1.1.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
